For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve current user detail

Use this endpoint to retrieve the details of the user currently logged into the Epsilon Retail Media platform. The request relies on authentication, so no additional query parameters are needed. The e

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "Use this endpoint to retrieve the details of the user currently logged into the Epsilon Retail Media platform. The request relies on authentication, so no additional query parameters are needed. The endpoint returns detailed information about the user, including their user ID, email address, first name, and last name. It also provides details about any team invites that the user has not yet accepted, such as the email address of the sender, the team ID, and the team name associated with the invite."

Retrieve current user detail

Retrieve current user detail

get

Use this endpoint to retrieve the details of the user currently logged into the Epsilon Retail Media platform. The request relies on authentication, so no additional query parameters are needed. The endpoint returns detailed information about the user, including their user ID, email address, first name, and last name. It also provides details about any team invites that the user has not yet accepted, such as the email address of the sender, the team ID, and the team name associated with the invite.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Responses
200

The details of the user currently logged into the Epsilon Retail Media platform.

application/json
get/v2/current-user-detail
GET /v2/current-user-detail HTTP/1.1
Host: auth.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "user": {
    "email": "user@epsilon.com",
    "firstName": "Harry",
    "id": "user-456",
    "lastName": "Paul",
    "logoId": "52g31f9d-7b50-4519-a9b9-e5f8cf4ha321",
    "namespace": "namespace-1",
    "receivedInvitation": {
      "ANY_ADDITIONAL_PROPERTY": {
        "accepted": "false",
        "inviteToken": "29b31f9d-7b50-4519-a9b9-e5f8cf4ha155",
        "inviteeEmail": "example@epsilon.com",
        "inviterEmail": "example@epsilon.com",
        "teamId": "58dd34b1-473e-4090-ac3c-a64f9147c0gt",
        "teamName": "team-01"
      }
    },
    "teamIds": [
      "team_001",
      "team_002"
    ]
  }
}